---
name: elegance
display_name: Elegance
version: 1.0.0
author:
  name: "Thob team"
  email: "tech@thob.studio"
  url: "http://thob.studio"

meta:
  compatibility:
    from: 1.7.0.0
    to: ~

  available_layouts:
    layout-full-width:
      name: Full Width
      description: No side columns, ideal for distraction-free pages.

assets:
# If you're using this theme as child and you want to load
# the parent theme assets, uncomment this line.
#  use_parent_assets: true

# The following lines are showing how to load assets in your page
# Uncomment and change value to start loading css or js files
#  css:
#    all:
#      - id: custom-lib-style
#        path: assets/css/custom-lib.css
#    product:
#      - id: product-style
#        path: assets/css/product.css
#        media: all
#        priority: 200
#  js:
#    cart:
#      - id: cat-extra-lib
#        path: assets/js/cart-lib.js


global_settings:
  configuration:
    PS_IMAGE_QUALITY: png
  modules:
    to_enable:
      - ps_linklist
  hooks:
    custom_hooks:
      - name: displayMainMenu
        title: Display main menu
        description: Display main menu
      - name: displayBeforeWrapper
        title: Display before wrapper
        description: Display before wrapper
      - name: displayAfterWrapper
        title: Display after wrapper
        description: Display after wrapper
      - name: displayCustomProductActions
        title: Display Actions below Add to Cart
        description: Display actions below product's add to cart button
    modules_to_hook:
      displayMainMenu:
        - ps_mainmenu
      displayTop:
        - ps_customersignin
        - ps_shoppingcart
      displayBeforeWrapper:
        - ps_imageslider
      displayHome:
        - ps_imageslider
        - ps_featuredproducts
      displayFooter:
        - ps_linklist
        - ps_customeraccountlinks
        - ps_contactinfo
      displayLeftColumn:
        - ps_categorytree
        - ps_facetedsearch
      displaySearch:
        - ps_searchbar
      displayOrderConfirmation2:
        - ps_featuredproducts
      displayCrossSellingShoppingCart:
        - ps_featuredproducts

  image_types:
    cart_default:
      width: 125
      height: 125
      scope: [products]
    small_default:
      width: 98
      height: 98
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 452
      height: 452
      scope: [products, manufacturers, suppliers]
    home_default:
      width: 250
      height: 250
      scope: [products]
    large_default:
      width: 800
      height: 800
      scope: [products, manufacturers, suppliers]
    category_default:
      width: 141
      height: 180
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]

theme_settings:
  default_layout: layout-full-width
